<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@F3A0=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@F3B1=3B</action>
    </script>
  </cheat>

  <cheat desc="Infinite Shield">
    <script state="run">
      <action>maincpu.pb@F3AD=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Money">
    <script state="run">
      <action>maincpu.pb@F3A8=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Potions">
    <script state="run">
      <action>maincpu.pb@F3B0=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Keys">
    <script state="run">
      <action>maincpu.pb@F3AB=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Falling down holes kills!</comment>
    <script state="run">
      <action>maincpu.pb@E905=01</action>
      <action>maincpu.pb@F424=0F</action>
    </script>
  </cheat>

  <cheat desc="Always have the Best weapon">
    <script state="run">
      <action>maincpu.pb@F3AC=04</action>
    </script>
  </cheat>

  <cheat desc="Select current level">
    <parameter min="1" max="8" step="1"/>
    <script state="change">
      <action>maincpu.pb@F3A1=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select next level">
    <parameter min="1" max="8" step="1"/>
    <script state="change">
      <action>maincpu.pb@F3A1=(param-1)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
